TU-Berlin | → | Inst. f. Mathematik | → | Algebra und Zahlentheorie | → | KASH | → | Documentation | → | Reference Manual

| KASH3 Reference Manual

Introduction | Reference Manual | Index

search

### Function

Coerce ( any M, any x ) -> any

### Description

<shortdoc> Coerce x into M. </shortdoc>

### Examples

x_Z := IntegerRing(); x_R := PolynomialAlgebra( x_Z ); x_a := Coerce( x_R, Zero(x_Z) ); Type(x_a); x_b := Coerce( x_Z, x_a ); Type(x_b);

| Built: Mon Nov 14 21:12:39 UTC 2005 on mack